Рекомендация Debian по безопасности

DSA-2622-1 polarssl -- несколько уязвимостей

Дата сообщения:
13.02.2013
Затронутые пакеты:
polarssl
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 699887.
В каталоге Mitre CVE: CVE-2013-0169, CVE-2013-1621, CVE-2013-1622.
Более подробная информация:

В PolarSSL были обнаружены многочисленные уязвимости. Проект Common Vulnerabilities and Exposures определяет следующие проблемы:

  • CVE-2013-0169

    Была обнаружена возможность атаки по сторонним каналам по таймингу в паддинге CBC, которая позволяет атакующему восстановить части текстовых данных при помощи статистического анализа специально сформированных пакетов, известного как проблема Lucky Thirteen.

  • CVE-2013-1621

    Ошибка индекса массива может позволить удалённым атакующим вызвать отказ в обслуживании через векторы, включающие специально сформированные значения длины паддинга во время проверки паддинга CBC сессии TLS.

  • CVE-2013-1622

    Некорректные данные CBC в сессии TLS могут позволить удалённым атакующим выполнить атаки при помощи статистического анализа тайминга данных сторонних каналов для специально сформированных пакетов.

В стабильном выпуске (squeeze) эти проблемы были исправлены в версии 0.12.1-1squeeze1.

В тестируемом (wheezy) и нестабильном (sid) выпусках эти проблемы были исправлены в версии 1.1.4-2.

Рекомендуется обновить пакеты polarssl.